# Copyright (c) 2021 Secureworks. All Rights Reserved
# Configure the Azure AD Provider

terraform {
  required_providers {
    azuread = {
      source  = "hashicorp/azuread"
      version = "=2.31.0"
    }
  }
}

# Configure the Azure Provider
provider "azuread" {
  tenant_id = var.azure_tenant_id
}

# Azure configurations
variable "azure_tenant_id" {
  type        = string
  description = "Azure tenant ID"
  default     = "00000000-0000-0000-0000-000000000000"
}
