# Copyright (c) 2021 Secureworks. All Rights Reserved
output "security_center_tenant_id" {
  value = var.azure_tenant_id
}

output "application_id" {
  value = azuread_application.msftatp-app.application_id
}

output "application_secret" {
  value = nonsensitive(azuread_application_password.msftatp-app-secret.value)
}

output "azure_consent_url" {
  value = "https://login.microsoftonline.com/${var.azure_tenant_id}/adminconsent?client_id=${azuread_application.msftatp-app.application_id}"
}
